<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from hermite_eval.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="hermite_eval" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>hermite_eval</refname>
    <refpurpose>Evaluate Hermite polynomial</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   y=hermite_eval(x,n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, n>=0.</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of doubles, the function value</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Evaluates a Hermite polynomial of degree n at point x.
   </para>
   <para>
The first Hermite polynomials are
   </para>
   <para>
<latex>
\begin{eqnarray}
He_0(x)=1, \\
He_1(x)=x
\end{eqnarray}
</latex>
   </para>
   <para>
The remaining Hermite polynomials satisfy the recurrence:
   </para>
   <para>
<latex>
\begin{eqnarray}
He_{n+1}(x) = xHe_n(x) - nHe_{n-1}(x),
\end{eqnarray}
</latex>
   </para>
   <para>
for n=1,2,...
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x=linspace(-3,3,100);
y0=hermite_eval(x,0);
y1=hermite_eval(x,1);
y2=hermite_eval(x,2);
y3=hermite_eval(x,3);
h=scf();
plot(x,y0,"r-")
plot(x,y1,"g-")
plot(x,y2,"b-")
plot(x,y3,"c:")
xtitle("Hermite Polynomials","x","He(x)")
legend(["n=0","n=1","n=2","n=3"]);
h.children.data_bounds(1:2,2)=[-5;5];
h.children.children(4).children.thickness=3;
h.children.children(5).children.thickness=2;
h.children.children(5).children.line_style=5;

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2013 - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
